import cv2
from ocrpackagenew.f_orientation_detection import detect_face_orientation


# instaciar detectores
profile_detector         = detect_face_orientation()

def detect_liveness(im):
    
    gray = gray = cv2.cvtColor(im, cv2.COLOR_BGR2GRAY)

    # -------------------------------------- profile_detection ---------------------------------------
    '''
    input:
        - imagen gray
    output:
        - status: "ok"
        - profile: ["right"] or ["left"]
        - box: [[579, 170, 693, 284]]
    '''
    box_orientation, orientation = profile_detector.face_orientation(gray)

    # -------------------------------------- output ---------------------------------------
    output = {
        'box_orientation': box_orientation,
        'orientation': orientation,
    }
    return output

